// Filename         : .\objects\ctrace.h
// Author           : NA
// Author Email     : NA
// Description      : NA
// Required Headers : NA

// ZeroDiVide - Encapsulate the header
#ifndef _objects_ctrace_h_
#define _objects_ctrace_h_

#include "CEdict.h"

// a trace is returned when a box is swept through the world
class CTrace
{

	public:

		qboolean	allsolid;	// if true, plane is not valid
		qboolean	startsolid;	// if true, the initial point was in a solid area
		float		fraction;	// time completed, 1.0 = didn't hit anything
		vec3_t		endpos;		// final position
		CPlane		plane;		// surface normal at impact
		CSurface	*surface;	// surface hit
		int			contents;	// contents on other side of surface hit
		CEdict		*ent;		// not set by CM_*() functions
};

#endif
